using System;

internal sealed class Delegate658 : MulticastDelegate
{
	public extern bool Invoke(object object_0, Type type_0);

	public static bool smethod_0(object object_0, Type type_0, Delegate658 delegate658_1)
	{
		return delegate658_1(object_0, type_0);
	}

	public extern Delegate658(object object_0, IntPtr intptr_0);

	static Delegate658()
	{
		Class10.smethod_13(typeof(Delegate658).TypeHandle);
	}

	internal static Delegate658 delegate658_0;
}
